Retrives a list of all payments
curl --request GET \
--url https://api.example.com/payments \
--header 'x-digest-key: <api-key>' \
--header 'x-digest-signature: <x-digest-signature>' \
--header 'x-digest-timestamp: <x-digest-timestamp>'import requests
url = "https://api.example.com/payments"
headers = {
"x-digest-timestamp": "<x-digest-timestamp>",
"x-digest-key": "<api-key>",
"x-digest-signature": "<x-digest-signature>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-digest-timestamp': '<x-digest-timestamp>',
'x-digest-key': '<api-key>',
'x-digest-signature': '<x-digest-signature>'
}
};
fetch('https://api.example.com/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "pt_AEtKAcN9d-",
"createdAt": "2023-11-18T20:46:15.652Z",
"updatedAt": "2023-11-18T20:46:15.652Z",
"expiresAt": "2023-11-18T21:16:15.649Z",
"mode": "test",
"amount": {
"value": 3000,
"currency": "USD"
},
"description": "Buying phone",
"status": "open",
"settlement_status": "open",
"redirectUrl": "https://example.com",
"checkout_id": "pt_AEtKAcN9d-",
"webhookUrl": "https://example.com/webhook",
"hostedUrl": "https://sandbox-pay.ebioro.com/payments?paymentId=pt_QKTDINJ662&auth_token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0LmViaW9yby5jb20iLCJhdWQiOiJodHRwczovL3Rlc3QtZWJpb3JvLW1lcmNoYW50LXNlcnZpY2UtMzgxNTIyNmU5MmE4Lmhlcm9rdWFwcC5jb20iLCJzdWIiOiJjMzMyZTlkYi1kYjQ1LTQ1ZmQtOTFmMy03NGNiNWU5NTQzYzQiLCJpYXQiOjE3MTQwNjcxOTIsImV4cCI6MTcxNDA3MDc5Mn0.EY5xyWptYzD1HgJPUev6LGMRFFZ8HDZOsE2Vk35OASk&lang=es",
"shortUrl": "https://sandbox-pay.ebioro.com/iqtRR_42J4TAIFbciUUlV",
"qrCode": "web+stellar:pay?destination=GAPU7KB2B2USVSWBFJRHGX7AYIWYKF2W44WWDCYEJTEER5D2QYEGD5GM&amount=2.68&asset_code=USDC&asset_issuer=GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5&memo=pt_AEtKAcN9d-&memo_type=text&msg=Buying+phone",
"merchantName": "Test Store",
"cancelUrl": "https://example.com/cancel",
"locale": "es",
"metadata": {},
"stellarTxId": "1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd",
"settlement_stellarTxId": "1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd",
"settlement_currency": "USDC",
"settlement_amount": 2663,
"settlement_fee": 66.575,
"amount_paid": 0,
"history": [
{
"time": 1714124827333,
"status": "success",
"description": "Payment created"
}
],
"sender_account": "GDFJ7PTIJGDINCLD7ZWZMYURELPMP6JZ6NMJBDBHKDXBFFWBC4SUFA4F",
"asset_id": "USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"refunded": false,
"type": "order",
"partner_id": "4f56c1ff-837c-4a1c-b372-1ddf840f252c"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 20,
"totalPages": 1,
"currentPage": 1
},
"links": {
"first": "https://test-merchant.ebioro.com?limit=20",
"previous": "",
"next": "",
"last": "https://test-merchant.ebioro.com?page=1&limit=20"
}
}{
"reason": "Bad Request",
"statusCode": 400
}{
"reason": "Unauthorized",
"statusCode": 401
}{
"reason": "Internal Server Error",
"statusCode": 500
}Payments
List Payments
Allows you to get all the payments associatted to your account
GET
/
payments
Retrives a list of all payments
Authorizations
Your public API key
Headers
Current Unix timestamp
Your public api key
Digest Auth Signature
Query Parameters
The page number. Default value is 1.
The number of items per page.Default value is 20.
Filter by payment status
Start date for filtering (ISO 8601 format)
End date for filtering (ISO 8601 format)
⌘I